package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.bean.result.BasicTeachClazzResult;
import com.qmth.distributed.print.business.bean.result.DictionaryResult;
import com.qmth.distributed.print.business.bean.result.PrintPlanBrief;
import com.qmth.distributed.print.business.entity.BasicProfessional;
import com.qmth.distributed.print.business.entity.ObeCultureProgram;
import com.qmth.distributed.print.business.entity.ObeCultureProgramCourse;
import com.qmth.teachcloud.common.entity.*;
import com.qmth.teachcloud.common.enums.ExamCategoryEnum;

import java.util.List;

/**
 * <p>
 * 查询条件 服务类
 * </p>
 */
public interface ConditionService {

    List<BasicSemester> listSemester(Boolean enable);

    List<BasicExam> listExam(Long semesterId, ExamCategoryEnum category, Boolean enable);

    List<BasicCourse> listCourse(Long semesterId, Long examId, Boolean enable, List<String> printPlanId);

    List<String> listPaperNumber(Long semesterId, Long examId, String courseCode, List<String> printPlanId);

    List<PrintPlanBrief> listPrintPlan(Long semesterId, Long examId, String source);

    List<BasicClazz> listClazz(Long semesterId, Long examId, String courseCode, String clazzName);

    List<SysOrg> listCollege();

    List<BasicTeachClazzResult> listBasicTeachClazz(Long examId, String courseCode, String clazzName);

    List<BasicProfessional> listProfessional();

    List<ObeCultureProgram> listCultureProgram(Long professionalId);

    List<DictionaryResult> listOutlineSemester(Long professionalId, Long cultureProgramId);

    List<BasicCourse> listCultureProgramCourse(Long professionalId, Long cultureProgramId, Long semesterId);
}
